.content-rendered {
    width: calc(100% - 1rem);
    border: 2px solid var(--body-secondary);
    border-radius: 0.25rem;
    padding: 0.25rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.content-rendered.monospace {
    font-family: "Courier Prime", monospace;
}

.content-rendered.serif {
    font-family: "Literata", serif;
}

.content-rendered.sans {
    font-family: "Inter", sans-serif;
}

.content-rendered.noborder {
    border: none;
}

.content-rendered .visible-space {
    display: none;
}

.content-rendered:empty {
    min-height: 5ch;
}

.content-rendered:empty::after {
    content: "No content yet! Write something fun.";
    color: grey;
}

.content-rendered p {
    margin-top: 0.6rem;
    margin-bottom: 0.6rem;
}

.content-rendered hr {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    width: 50%;
    height: 1.5px;
    background: var(--body-secondary);
    border-radius: 4px;
    border-color: var(--body-secondary);
}

#post-preview-label {
    text-align: left;
    width: 100%;
}

#preview-details {
    width: 100%;
}

#preview-details h3 {
    margin: 0.25rem;
    text-align: center;
}

#preview-details .tags {
    width: 100%;
    text-align: center;
    margin-bottom: 1rem;
}

.post-preview-wrapper {
    padding: 1rem;
    border-radius: 0.5rem;
    border: 2px solid var(--border);
    width: calc(100% - 2rem);
}